For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETGet all syncs
      • POSTCreate a source sync to execute
      • GETGet a sync by ID.
      • PUTUpdate a source sync
      • DELDelete a sync
      • POSTSync a source.
LogoLogo
Scout DocsAccess Scout
EndpointsSyncs

Sync a source.

Beta
POST
https://api.scoutos.com/v2/syncs/:sync_id/execute
POST
/v2/syncs/:sync_id/execute
$curl -X POST https://api.scoutos.com/v2/syncs/sync_id/execute \
> -H "Authorization: Bearer <token>"
Was this page helpful?
Previous

Send messages to an agent and receive a streaming response.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sync_idstringRequired

Response

Successful Response

Errors

422
Unprocessable Entity Error